Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JspConfig

    java.lang.Object
      org.apache.jasper.compiler.JspConfig

    public class JspConfig

extends Object

Handles the jsp-config element in WEB_INF/web.xml. This is used for specifying the JSP configuration information on a JSP page

Author:
  Kin-man Chung

Constructor Summary
`JspConfig(ServletContext ctxt, Options options)`

Method Summary
`JspProperty` | `findJspProperty(String uri)` Find a property that best matches the supplied resource.
`boolean` | `isJspPage(String uri)` To find out if an uri matches an url pattern in jsp config.
`static void` | `makeJspPropertyGroups(Vector jspProperties, Vector urlPatterns, String isXml, String elIgnored, String scriptingInvalid, String trimSpaces, String poundAllowed, String pageEncoding, Vector includePrelude, Vector includeCoda)` Creates a JspPropertyGroup for each url pattern in the given `urlPatterns`, and adds it to the given `jspProperties`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspConfig

    public JspConfig(ServletContext ctxt,
                     Options options)

Method Detail

### makeJspPropertyGroups

    public static void makeJspPropertyGroups(Vector jspProperties,
                                             Vector urlPatterns,
                                             String isXml,
                                             String elIgnored,
                                             String scriptingInvalid,
                                             String trimSpaces,
                                             String poundAllowed,
                                             String pageEncoding,
                                             Vector includePrelude,
                                             Vector includeCoda)

  Creates a JspPropertyGroup for each url pattern in the given `urlPatterns`, and adds it to the given `jspProperties`. This simplifies the matching logic.

### findJspProperty

    public JspProperty findJspProperty(String uri)
                                throws JasperException

  Find a property that best matches the supplied resource.

  Parameters:
    `uri` - the resource supplied.
  Returns:
    a JspProperty indicating the best match, or some default.
  Throws:
    `JasperException`

### isJspPage

    public boolean isJspPage(String uri)
                      throws JasperException

  To find out if an uri matches an url pattern in jsp config. If so, then the uri is a JSP page. This is used primarily for jspc.

  Throws:
    `JasperException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.